Dlareg Blog

Aller au contenu | Aller au menu | Aller à la recherche

Mot-clé - phpPgAdmin

Fil des billets - Fil des commentaires

mardi, août 30 2011

Message d'erreur au lancement de phpPgAdmin

Sur un GNU/Linux Ubuntu l'utilisation de PhpPgAdmin provoque le message suivant :

Deprecated: Assigning the return value of new by reference is deprecated in /usr/share/phppgadmin/classes/Misc.php on line 343

La version de PHP installée est supérieure à 5.3.0 et le problème est dû à l'ancienneté de phpPgAdmin, qui utilise des fonctions PHP peu employées voire supprimées depuis.
Pour remédier temporairement (dans l'attente d'une nouvelle version de PhpPgAdmin) au problème, il est possible de passer la variable display_errors à OFF.

# vim /etc/phppgadmin/config.inc.php

<?php
        ini_set("display_errors", "off");
        /**
         * Central phpPgAdmin configuration.  As a user you may modify the
         * settings here for your particular configuration.
         *
         * $Id: config.inc.php-dist,v 1.55 2008/02/18 21:10:31 xzilla Exp $
         */

        // An example server.  Create as many of these as you wish,
        // indexed from zero upwards.

        // Display name for the server on the login screen
        $conf['servers'][0]['desc'] = 'PostgreSQL';

Solution trouvée sur : http://www.siteduzero.com/tutoriel-3-116766-installation-de-postgresql-et-de-phppgadmin-avec-easyphp-wampserver.html